# Make your first API call

In this quick start guide, you will learn how to make your first API call against a CARTO API.

## Get a token to call the API

Create an API Access Token using the[ API Access Tokens UI](/carto-user-manual/developers/managing-credentials/api-access-tokens.md#creating-an-api-access-token).

1. Allow SQL API and LDS API
2. Choose the CARTO Data Warehouse connection. Choose `carto_dw`
3. Select allow access to all sources

{% hint style="info" %}
Don't share this token
{% endhint %}

## SQL API request

We're going to execute the following query against the CARTO Data Warehouse:

```sql
SELECT geom, name FROM `carto-demo-data.demo_tables.populated_places` 
```

The following [CURL](https://curl.se/) command will perform the request:

<pre class="language-bash"><code class="lang-bash"><strong>curl --get \
</strong>--url https://direct-gcp-us-east1.api.carto.com/v3/sql/carto_dw/query \
--data-urlencode "q=SELECT geom, name FROM carto-demo-data.demo_tables.populated_places" \
--header "Authorization: Bearer &#x3C;API_ACCESS_TOKEN>"
</code></pre>

## LDS API Request

The following [CURL](https://curl.se/) command will geocode Valverde del Camino:

```bash
curl --get \
--url https://gcp-us-east1.api.carto.com/v3/lds/geocoding/geocode \
--data-urlencode "address=Valverde del Camino" \
--header "Authorization:  <API_ACCESS_TOKEN>"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.carto.com/carto-for-developers/quickstart/how-to-make-my-first-api-call.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
